Bug 236570 - databases/percona57-{server,client} update to 5.7.26-29 (fixes several vulnerabilities)
Summary: databases/percona57-{server,client} update to 5.7.26-29 (fixes several vulner...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords: security
Depends on:
Blocks:
 
Reported: 2019-03-16 10:39 UTC by Igor Zabelin
Modified: 2019-12-10 05:20 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback-
koobs: merge-quarterly?


Attachments
percona57-25-28_patch (2.99 KB, patch)
2019-03-16 10:39 UTC, Igor Zabelin
no flags Details | Diff
percona to Percona 5.7.26-29 (8.44 KB, patch)
2019-06-10 18:58 UTC, Igor Zabelin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Zabelin 2019-03-16 10:39:18 UTC
Created attachment 202903 [details]
percona57-25-28_patch
Comment 1 Igor Zabelin 2019-06-10 18:58:21 UTC
Created attachment 204956 [details]
percona to Percona 5.7.26-29
Comment 2 avkarenow 2019-06-26 17:09:57 UTC
Hello,

Any chance to commit this update to ports soon?
Comment 3 Kurt Jaeger freebsd_committer 2019-07-11 18:15:13 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2019-07-11 18:15:15 UTC
A commit references this bug:

Author: pi
Date: Thu Jul 11 18:14:36 UTC 2019
New revision: 506424
URL: https://svnweb.freebsd.org/changeset/ports/506424

Log:
  databases/percona57-{server,client}: upgrade 5.7.21-20 -> 5.7.26-29

  - Fixes several CVEs, see
    https://vuxml.FreeBSD.org/freebsd/d3d02d3a-2242-11e9-b95c-b499baebfeaf.html
    for the list

  PR:		236570
  Submitted by:	Igor Zabelin <igorz@yandex.ru>
  Approved by:	feld (maintainer timeout)
  MFH:		2019Q3

Changes:
  head/databases/percona57-client/files/patch-cmake_plugin.cmake
  head/databases/percona57-client/files/patch-mysys_mf__iocache2.c
  head/databases/percona57-server/Makefile
  head/databases/percona57-server/distinfo
  head/databases/percona57-server/files/patch-cmake_plugin.cmake
  head/databases/percona57-server/files/patch-libmysql_authentication__ldap_CMakeLists.txt
  head/databases/percona57-server/pkg-plist